@font-face {
    font-family: 'Noto Serif JP';
    src: url('../fonts/NotoSerifJP-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Noto Sans JP';
    src: url('../fonts/NotoSansJP-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

html body {
    font-family: 'Noto Sans JP';
    word-break: break-all;
}

html .noto-serif {
    font-family: 'Noto Serif JP';
}

html .noto-sans {
    font-family: 'Noto Sans JP';
}

.header-carousel-item {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.header-carousel-item.active {
    opacity: 1;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
}

.line-clamp-2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
}

.line-clamp-3 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
}

/*-- scrollbar --*/
.important-info::-webkit-scrollbar {
    width: 8px;
    height: 4px;
}

.opening-scheduled::-webkit-scrollbar {
    width: 8px;
    height: 4px;
}

.important-info::-webkit-scrollbar-thumb {
    background-image: linear-gradient(to right, #A04918 50%, transparent 50%);
}

.opening-scheduled::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #ffffff;
}

.important-info::-webkit-scrollbar-track {
    background-color: transparent;
}

.opening-scheduled::-webkit-scrollbar-track {
    background-color: transparent;
}

.header-fixed {
    height: auto;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
    transition: opacity 0.5s ease-in-out;
    overflow: hidden;
}